ZFA.define.bound<-function(n,bin){
  num.fix.window<-floor(n/bin)
  result.all <- c()
  for (i in 1:num.fix.window){
    result.all <- rbind(result.all,c(bin*(i-1)+1,bin*i))
  }
  if (bin*num.fix.window!=n){
    result.all <- rbind(result.all,c(bin*num.fix.window+1,n))
  }
  return(matrix(result.all,ncol=2))
}

split.number<-function(n){
  total.all<-n
  level<-1
  result.all<-list()
  result.all[[level]]<-n
  while (any(total.all>3)) {
    level<-level+1
    total<-total.all
    total.all<-c()
    for (i in 1:length(total)) {
      num<-total[i]
      if (num>3) {
        left<-floor(num/2)
        right<-num-left
        cbn<-c(left,right)
        total.all<-c(total.all,cbn)
      } else {
        total.all<-c(total.all,num)
      }
    }
    result.all[[level]]<-total.all
  }
  return(result.all)
}

fuzzyZFA.define.bound<-function(x) {
  for (i in 1:length(x)) {
    if (i==1) {
      lb<-1
      ub<-x[1]
    } else {
      lb[i]<-lb[i-1]+x[i-1]
      ub[i]<-ub[i-1]+x[i]
    }
  }
  bound<-cbind(lb,ub,nr=length(x))
  return(bound)
}

maf<-function(data){
  p<-colMeans(data)/2
  p[p>0.5]<-1-p[p>0.5]
  result.maf<-p
  return(result.maf)
}